Debian Bug report logs - #247779
manpages: suggested init/quit sequence in random(4) out of date

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: "John V. Belmonte" <jbelmonte@debian.org>

Date: Thu, 6 May 2004 23:18:02 UTC

Severity: normal

Found in version 1.66-1

Fixed in version manpages/2.00-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#247779; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "John V. Belmonte" <jbelmonte@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "John V. Belmonte" <jbelmonte@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: suggested init/quit sequence in random(4) out of date
Date: Thu, 06 May 2004 19:03:51 -0400
Package: manpages
Version: 1.66-1
Severity: normal

random(4), which describes the Linux kernel random number device, contains
suggested init and quit scripts for storing the entropy pool across
reboots.  However, the scripts in the manpage are out of date and have
several problems.  See comments in drivers/char/random.c in the 2.6
kernel, under "Ensuring unpredictability at system startup",  for the
latest scripts.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "John V. Belmonte" <jbelmonte@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 247779-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 247779-close@bugs.debian.org
Subject: Bug#247779: fixed in manpages 2.00-1
Date: Sat, 25 Dec 2004 15:32:11 -0500
Source: manpages
Source-Version: 2.00-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.00-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.00-1_all.deb
manpages_2.00-1.diff.gz
  to pool/main/m/manpages/manpages_2.00-1.diff.gz
manpages_2.00-1.dsc
  to pool/main/m/manpages/manpages_2.00-1.dsc
manpages_2.00-1_all.deb
  to pool/main/m/manpages/manpages_2.00-1_all.deb
manpages_2.00.orig.tar.gz
  to pool/main/m/manpages/manpages_2.00.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 247779@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 25 Dec 2004 20:44:43 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.00-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 204292 205736 220741 222145 229618 239762 247779 249698
Changes: 
 manpages (2.00-1) unstable; urgency=low
 .
   * New upstream release
   * The new major version number reflects only that there is a new
     maintainer, and the desire to avoid eventual releases named
     man-pages-1.100 etc.
   * This release incorporates the following Debian bugs:
     - bind(2) takes const pointer (closes: Bug#239762)
     - Typo in declaration for sigtimedwait(2) (closes: Bug#222145)
     - /usr/share/man/man2/swapon.2.gz (closes: Bug#204292)
     - manual page of snprintf suggests bad coding practice (closes:
       Bug#205736)
     - undocumented(2) has wrong title (closes: Bug#220741)
     - getnameinfo(3) man-page claims errno is set (closes: Bug#229618)
     - suggested init/quit sequence in random(4) out of date (closes:
       Bug#247779)
     - stat manpage: File type checking macros documentation doesn't say
       what field is to be used (closes: Bug#249698)
     - assert(3) wrongly says that assertion errors go to stdout (cloes:
       Bug#284814)
Files: 
 431d4e9959f351f21c6daa8941e99e4e 584 doc - manpages_2.00-1.dsc
 8dc4fe441b7e012c8cefe1f83f16455c 1007776 doc - manpages_2.00.orig.tar.gz
 90ffbe4ee210d2320068f7d4b3d0a8c7 47979 doc - manpages_2.00-1.diff.gz
 8d2fba35399ff514150ed22e1c9795f9 390456 doc important manpages_2.00-1_all.deb
 b99eb8e57f9c39ab288bb91b55de5b93 1079594 doc standard manpages-dev_2.00-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBzcUnW5ql+IAeqTIRAhmIAJ9LrdxaEQTl/7qQzSUYwV5PNLrN6ACguI1A
t9MwcCmUnpK11dv0RGHdLPM=
=fOkl
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:37:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.